This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1026530 - [abrt] gnome-shell-3.10.1-2.fc20: gen7_update_renderbuffer_surface: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.10.1-2.fc20: gen7_update_renderbuffer_surface: Process /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:080b9b1dae09e8d77b73c7f4985...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 17:15 EST by Mikhail
Modified: 2015-06-29 08:48 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:48:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.20 KB, text/plain)
2013-11-04 17:15 EST, Mikhail
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-04 17:15 EST, Mikhail
no flags Details
File: core_backtrace (23.82 KB, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details
File: dso_list (22.85 KB, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details
File: environ (1.45 KB, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details
File: maps (139.19 KB, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details
File: open_fds (1.59 KB, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-11-04 17:16 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-11-04 17:15:42 EST
Version-Release number of selected component:
gnome-shell-3.10.1-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.11.6-302.fc20.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gen7_update_renderbuffer_surface at gen7_wm_surface_state.c:509
 #1 brw_update_renderbuffer_surfaces at brw_wm_surface_state.c:716
 #2 brw_upload_state at brw_state_upload.c:513
 #3 brw_try_draw_prims at brw_draw.c:445
 #4 brw_draw_prims at brw_draw.c:530
 #5 vbo_draw_arrays at ../../../src/mesa/vbo/vbo_exec_array.c:660
 #6 _cogl_journal_flush_modelview_and_entries at ./cogl-journal.c:307
 #7 batch_and_call at ./cogl-journal.c:259
 #8 _cogl_journal_flush_texcoord_vbo_offsets_and_entries at ./cogl-journal.c:558
 #9 batch_and_call at ./cogl-journal.c:259

Potential duplicate: bug 868455
Comment 1 Mikhail 2013-11-04 17:15:52 EST
Created attachment 819375 [details]
File: backtrace
Comment 2 Mikhail 2013-11-04 17:15:56 EST
Created attachment 819376 [details]
File: cgroup
Comment 3 Mikhail 2013-11-04 17:16:00 EST
Created attachment 819377 [details]
File: core_backtrace
Comment 4 Mikhail 2013-11-04 17:16:05 EST
Created attachment 819378 [details]
File: dso_list
Comment 5 Mikhail 2013-11-04 17:16:08 EST
Created attachment 819379 [details]
File: environ
Comment 6 Mikhail 2013-11-04 17:16:12 EST
Created attachment 819380 [details]
File: exploitable
Comment 7 Mikhail 2013-11-04 17:16:16 EST
Created attachment 819381 [details]
File: limits
Comment 8 Mikhail 2013-11-04 17:16:20 EST
Created attachment 819382 [details]
File: maps
Comment 9 Mikhail 2013-11-04 17:16:24 EST
Created attachment 819383 [details]
File: open_fds
Comment 10 Mikhail 2013-11-04 17:16:27 EST
Created attachment 819384 [details]
File: proc_pid_status
Comment 11 Mikhail 2013-11-24 07:21:39 EST
Occurs every time when I launch game Multiwinia from steam
[21694.709433] gnome-shell[11177]: segfault at 238 ip 00007fc3e95521a2 sp 00007fff18b43590 error 4 in i965_dri.so[7fc3e94a2000+d7000]
[21790.410251] gnome-shell[18813]: segfault at 238 ip 00007fc9a193b1a2 sp 00007fff6ab98b10 error 4 in i965_dri.so[7fc9a188b000+d7000]

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.12.0-2.fc21.x86_64+debug
package:        gnome-shell-3.10.2.1-1.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Kamil Páral 2013-12-08 13:20:14 EST
I was playing Bastion and gnome-shell crashed in the process, killing my game altogether.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 103f6fa7a0cff12205137582940031300000275290000
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Mikhail 2013-12-26 21:59:42 EST
Another user experienced a similar problem:

Launch game "Wargame: European Escalation" and shitch between programs.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.12.6-300.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Peter 2013-12-31 10:20:48 EST
Happens sporadically while playing Violett in Steam.
Comment 15 P. José 2014-01-16 05:40:33 EST
Another user experienced a similar problem:

I was playing a game at Steam before that crash. The game was running fluidly and normally. Probably the error occurs because it's an OpenGL application with full screen

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.12.7-300.fc20.x86_64
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Pedro Francisco 2014-02-11 21:31:26 EST
Are we all using Optimus/Bumblebee?
Comment 17 Kai A. Hiller 2014-02-11 21:39:15 EST
Bumblebee for me but it's just happening if using primusrun.
Comment 18 Kamil Páral 2014-02-12 03:19:12 EST
(In reply to Pedro Francisco from comment #16)
> Are we all using Optimus/Bumblebee?

No, I'm not.
Comment 19 Timur Kristóf 2014-02-18 14:35:55 EST
I have an Ivy Bridge chip and no discrete graphics and this bug happens to me several times every day.
Comment 20 Rohit 2014-02-21 00:52:40 EST
I am using bumblebee with the nvidia driver.

I am just testing with GLXGears.
Optirun works, but when I use primus Gnome-Shell crashes.
Comment 21 Karl Latiss 2014-02-26 05:23:23 EST
I was playing Amnesia - running on Intel HD 4000
Comment 22 Timur Kristóf 2014-03-13 16:56:18 EDT
I've had a talk about this bug in the #gnome-shell channel on GimpNet. Apparently, this issue is not really related to gnome-shell, it's a bug in the Intel mesa driver.

gen7_update_renderbuffer_surface is in mesa/drivers/dri/i965/gen7_wm_surface_state.c
(NOTE: gen7 means Ivy Bridge and Haswell chips.)

I'm now trying to update to mesa 10 in updates-testing and see if the problem goes away.
Comment 23 Evan McNabb 2014-03-25 22:33:42 EDT
Another user experienced a similar problem:

If XBMC is changed from Windowed mode to Full Screen mode, gnome-shell crashes.

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.13.6-200.fc20.x86_64
package:        gnome-shell-3.10.4-2.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 Larry O'Leary 2014-04-10 01:50:47 EDT
I confirm comment 23. Switching XBMC from window mode to full screen crashes gnome-shell 3.10.4 every time.



Name        : gnome-shell
Arch        : x86_64
Version     : 3.10.4
Release     : 2.fc20


Name        : xbmc
Arch        : x86_64
Version     : 13.0
Release     : 0.10.Gotham_beta3.fc20
S
Comment 25 Adam Baxter 2014-05-17 09:05:02 EDT
Happens pretty regularly when I launch Starbound from Steam
Comment 26 Marcel Buchholz 2014-05-19 05:45:20 EDT
I can trigger this by changing the volume using the media-keys while playing Dota 2. As soon as the volume OSD pops up, the game freezes and gnome-shell crashes.
Comment 27 Radu Alexandru Popescu 2014-06-08 09:37:04 EDT
Possible workaround is setting PRIMUS_UPLOAD to 1 or 2 as mentioned here: https://github.com/amonakov/primus/issues/140#issuecomment-45313136

Example: PRIMUS_UPLOAD=2 PRIMUS_VERBOSE=2 optirun -b primus glxgears
Comment 28 Radu Alexandru Popescu 2014-06-24 20:29:06 EDT
Another user experienced a similar problem:

Problem appears to be triggered by running bumblebee's optirun with primus (or plain primusrun) without using PRIMUS_UPLOAD=2 (e.g.: PRIMUS_UPLOAD=2 PRIMUS_VERBOSE=2 optirun -b primus glxgears ) but might be trigger by other means...
See https://bugzilla.redhat.com/show_bug.cgi?id=1026530 

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: gen7_update_renderbuffer_surface
executable:     /usr/bin/gnome-shell
kernel:         3.14.8-200.fc20.x86_64
package:        gnome-shell-3.10.4-5.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 29 bztdlinux 2014-08-11 13:36:54 EDT
I do not use the discrete graphics at all (no bumblebee/primus), and this bug happens to me, often when switching in fullscreen video players. So I think the Optimus graphics usage is a red herring.
Comment 30 Yang Lifu 2014-08-11 23:48:33 EDT
Happens sporadically while playing Dota 2.
Comment 31 Fedora End Of Life 2015-05-29 05:41:23 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 32 Fedora End Of Life 2015-06-29 08:48:40 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.